//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-reactor-plugin/src/main/groovy/org/openscm/kundo/plugins/ReactorDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;
import org.openscm.kundo.factory.ModuleStrategyFactory;
import org.openscm.kundo.strategy.ModuleStrategy;

/**
 * Resource Delegate
 *
 * @author <a href="mailto:nigel.garner@upco.co.uk">Nigel Garner</a>
 * @version 1.0.0

Description: A Reactor Delegate to manage the chaining of a build to multiple sub modules.

<p>The reactor delegate identifies an appropriate module strategy from from data within the BuildContext.
The modules are subsequently loaded and the build is chained to the sub module in order of declaration.</p>
 */
public class ReactorDelegate
    extends AbstractPluginTargetDelegate
{
    /**
     * Whether the reactor build is enabled or not *
     */
    private java.lang.String disable = null;

    /**
     * Default build target for child modules *
     */
    private java.lang.String defaultTarget = null;

    /**
     * Profiles to be used *
     */
    private java.lang.String profiles = null;

    /**
     * Whether the child builds will inherit the configuration of the parent *
     */
    private java.lang.String inheritConfiguration = null;

    /**
     * Default build file for child modules *
     */
    private java.lang.String defaultBuildFile = null;

    private ReactorDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant and buildContext instances in super class
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public ReactorDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    public void setDefaultTarget(java.lang.String defaultTarget) {
        throw new InternalError("Stubbed method");
    }

    public void setDefaultBuildFile(java.lang.String defaultBuildFile) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Comma delimited list of profiles to be processed.
     * See approriate ModuleStrategy implementation for profile support details.
     *
     * @ant-property-name reactor.profiles
     */
    public void setProfiles(java.lang.String profiles) {
        throw new InternalError("Stubbed method");
    }

    public void setInheritConfiguration(java.lang.String inheritConfiguration) {
        throw new InternalError("Stubbed method");
    }

    public void setDisable(java.lang.String disable) {
        throw new InternalError("Stubbed method");
    }

    public boolean isReactorDisabled() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractDelegate.execute() method
     * 
     * Obtains an appropriate ModuleStrategy and executes the build of the sub-module.
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
