//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-reactor-plugin/src/main/groovy/org/openscm/kundo/strategy/MavenModuleStrategy.groovy
//

package org.openscm.kundo.strategy;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.Module;
import groovy.util.slurpersupport.GPathResult;

/**
 * Maven Module Strategy
 *
 * @author <a href="mailto:nigel.garner@upco.co.uk">Nigel Garner</a>
 * @version 1.0.0

Description: The Maven Module Strategy loads a list of modules based based on a maven pom file.

<p>Despite its afinity to Maven, the pom file is a very good metadata store that is a handy means of capturing
much more than just dependencies. One good example of this is profiled or project level sub modules of the build.</p>

<p>The Maven Module Strategy creates a list of modules based on the maven pom file. The pom file is identified
from the 'pom.location' property in the BuildContext. Any project level modules will be loaded by default with
any profiled modules being dependent on the passed profile list.</p>
 */
public class MavenModuleStrategy
    extends ModuleStrategy
{
    private MavenModuleStrategy(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((java.lang.Object)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor passes the ant instance in a call to super
     *
     * @param ant AntBuilder instance
     */
    public MavenModuleStrategy(java.lang.Object ant) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the ModuleStrategy.loadModules() method
     * 
     * Loads a list of modules based upon the projects Maven pom file. The pom file is obtained through the 'pom.location'
     * property in the BuildContext. The path to the pom should be either full or relative to the project directory.
     */
    public void loadModules(java.lang.Object buildContext, java.lang.Object childBuildFile, java.lang.Object childTarget, java.lang.Object inheritConfiguration, java.lang.Object profiles) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Slurps the project pom file to make it easily readable.
     *
     * @param pomFile The location of the project pom.
     * @return GPathResult A slurped groovy representation of the pom file.
     */
    public GPathResult slurpPom(java.lang.Object pomFile) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Checks to see if deploy is enabled as to whether processing should occur later.
     *
     * @parm defaultTarget Target to be executed
     * @return boolean true if deploy is enabled.
     */
    public boolean isDeployEnabled(java.lang.Object defaultTarget) {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
